joyride 2128 smoketest

Daniel Drake dsd at laptop.org
Wed Jul 9 15:16:13 EDT 2008


On Wed, 2008-07-09 at 21:06 +0200, Morgan Collett wrote:
> My 2c worth here... There haven't been API breaks for activities. I've
> had to do nothing to my activities to keep them working from 8.1.0 to
> joyride current.

Some external things have bitten us though. gtksourceview API change
prevents Pippy-20 from launching (that's the version installed by Bert's
script, even today)
http://dev.laptop.org/ticket/3488

I don't think there's any way to protect against this, since activity
writers were not predicting the future when they wrote their code.

So in answer to Kim's question:
> 1 - Is there anyway to ensure backward compatibility of activities
> (the 8.1.1 activities will work with 8.2)?  -- seems like a long shot
> to me.

No. But hopefully there is not very much breakage.

Daniel




More information about the Devel mailing list